org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class HasNextStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,Boolean>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.HasNextStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Boolean>>, Step<S,Boolean>

      public final class HasNextStep<S>
      extends AbstractStep<S,Boolean>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasNextStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Traverser.Admin<Boolean>` | `processNextStart()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### HasNextStep

          public HasNextStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<Boolean> processNextStart()
                                                       throws NoSuchElementException

      Specified by:
        `processNextStart` in class `AbstractStep<S,Boolean>`
      Throws:
        `NoSuchElementException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.